Create a task of the task type for each entity of the list. If the body is empty, the route uses all the entities of this type in the project, or of the episode episode_id. The entity type name is not case sensitive. A task that exists is skipped. For an asset type, an asset whose workflow does not have the task type is skipped. You must be a manager of the project.
Path parameters
-
Unique identifier of the project
-
Name of the entity type, for example Asset or Sequence
-
Unique identifier of the task type
POST
/actions/projects/{project_id}/task-types/{task_type_id}/create-tasks/{entity_type}
curl
curl -X POST "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/create-tasks/Asset/" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
""
]'
import requests
url = "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/create-tasks/Asset/"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
""
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request example
[
"b24a6ea4-ce75-4665-a070-57453082c250"
]
Response examples (201)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Entity Task Name",
"task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"task_status_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"entity_id": "d24a6ea4-ce75-4665-a070-57453082c250",
"project_id": "e24a6ea4-ce75-4665-a070-57453082c250"
}
]